Skip to content
This repository

CocoaPods missing deployment target causing xcodebuild failure #677

Closed
JRG-Developer opened this Issue February 14, 2014 · 1 comment

2 participants

Joshua Greene Tony Arnold
Joshua Greene

Commit a15c863c78359756be640df86b0e5eae3ad6620b fixed most of the issues with the podspec. However, the podspec still won't lint due to this xcodebuild error:

the current deployment target does not support automated __weak references

I believe this is because CocoaPods is still defaulting to iOS 4.3 if the ios.deployment_target isn't explicitly set.

Please add this line to the podspec to resolve this issue:

s.ios.deployment_target = '5.0'

A bumped minor / patch version tag would be nice too.

Thank you for the awesome library!

Tony Arnold
Owner

This has been fixed, and we're preparing some big releases right now (2.3.0 and 3.0). Thanks for the report!

Tony Arnold tonyarnold closed this April 12, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.